1. TripPlan
Airoad
  • TripPlan
    • 사용자의 여행 일정 목록 조회
      GET
    • 여행 일정 생성 세션 생성
      POST
    • 여행 일정 상세 조회
      GET
    • AI 여행 일정 생성 시작
      POST
    • 여행 일정 삭제
      DELETE
    • 여행 일정 제목 수정
      PATCH
    • 일정 장소 순서 교환
      PATCH
    • 여행 일차별 일정 목록 조회
      GET
  • Auth
    • 액세스 토큰 재발급
      POST
    • 로그아웃
      POST
  • Member
    • 현재 로그인한 사용자 정보 조회
      GET
    • 현재 로그인한 사용자 이름 조회
      GET
  • ChatRoom
    • 채팅방 메시지 이력 조회
      GET
  • Schemas
    • TripPlanCreateRequest
    • ChannelIdResponse
    • CommonResponse
    • ReissueTokenRequest
    • CreateAiPromptTemplateRequest
    • TokenResponse
    • TripPlanUpdateRequest
    • UpdateAiPromptTemplateRequest
    • ScheduledPlaceSwapRequest
    • AiPromptTemplateResponse
    • TripPlanResponse
    • TripPlanDetailResponse
    • DailyPlanResponse
    • PlaceResponse
    • ScheduledPlaceResponse
    • MemberResponse
    • MemberNameResponse
    • ChatMessageResponse
    • TripPlanProgressMessage
    • ChatStreamDto
    • ChatMessageRequest
    • ErrorResponse
    • PageResponse
  1. TripPlan

여행 일정 상세 조회

GET
/api/v1/trips/{tripPlanId}
여행 일정 ID로 상세 정보를 조회합니다. 제목, 지역, 시작일, 기간, 인원, 테마 정보를 포함합니다.

Request

Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or
Path Params

Responses

🟢200
application/json
조회 성공
Body

🟠401
🟠403
🟠404
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET '/api/v1/trips/123' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - Success
{
    "success": true,
    "status": 200,
    "data": {
        "tripPlanId": 123,
        "title": "제주도 힐링 여행",
        "region": "제주",
        "startDate": "2025-03-01",
        "isCompleted": true,
        "duration": 3,
        "peopleCount": 2,
        "themes": [
            "HEALING",
            "FAMOUS_SPOT",
            "RESTAURANT"
        ]
    }
}
Modified at 2025-12-19 08:15:40
Previous
여행 일정 생성 세션 생성
Next
AI 여행 일정 생성 시작
Built with